> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Validates the auto-save buffer version of the Page

> Validate the current contents of the auto-save buffer. No data should be included in the request.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json POST /content/api/v2/pages/{page_id}/validate-buffer
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages/{page_id}/validate-buffer:
    post:
      tags:
        - Pages
      summary: Validates the auto-save buffer version of the Page
      description: >-
        Validate the current contents of the auto-save buffer. No data should be
        included in the request.
      operationId: validatePageBuffer
      parameters:
        - name: page_id
          in: path
          description: The unique identifier for the page
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Validation result
          content:
            application/json:
              schema:
                type: object
                properties:
                  succeeded:
                    type: boolean
              examples:
                validation_result:
                  summary: Buffer validation response
                  value:
                    succeeded: true

````